/***************************************************************************
 *   Copyright (C) 2010 - 2013 by Marcel Hasler                            *
 *   mahasler@gmail.com                                                    *
 *                                                                         *
 *   This file is part of MPD Now Playing.                                 *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation, either version 3 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the          *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program. If not, see <http://www.gnu.org/licenses/>.  *
 ***************************************************************************/

#ifndef CONNECTIONTHREAD_H
#define CONNECTIONTHREAD_H

#include <mpd/client.h>

#include <QThread>

class ConnectionThread : public QThread
{
    Q_OBJECT

public:
    ConnectionThread(const QString &host, unsigned int port, const QString &password);
    virtual ~ConnectionThread();

protected:
    void run();

signals:
    void success(mpd_connection*);
    void failed();

private:
    QString m_host;
    unsigned int m_port;
    QString m_password;
};

#endif // CONNECTIONTHREAD_H
