/***************************************************************************
 *   Copyright (C) 2010 - 2013 by Marcel Hasler                            *
 *   mahasler@gmail.com                                                    *
 *                                                                         *
 *   This file is part of MPD Now Playing.                                 *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation, either version 3 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the          *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program. If not, see <http://www.gnu.org/licenses/>.  *
 ***************************************************************************/

#include "idlethread.h"

IdleThread::IdleThread(mpd_connection *connection)
        : QThread(),
          m_connection(connection),
          m_running(false)
{
}


IdleThread::~IdleThread()
{
    mpd_connection_free(m_connection);
}


void IdleThread::run()
{
    m_running = true;
    while (m_running)
    {
        mpd_idle idle = mpd_run_idle_mask(m_connection, MPD_IDLE_PLAYER);
        if (m_running && !idle)
        {
            m_running = false;
            emit connectionLost();
        }
        else
            emit stateChanged();
    }
}


void IdleThread::stop()
{
    m_running = false;
    mpd_send_noidle(m_connection);
}
